# Class RemovedPayloadsMap

#### Hierarchy

- unknown
  - RemovedPayloadsMap

- Defined in src/protobuf/pb_pb.d.ts:2153
- Defined in src/protobuf/pb_pb.d.ts:2165

#####
Index

### Constructors

constructor

### Methods

clearDateByHashesMap
getDateByHashesMap
serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RemovedPayloadsMap(): RemovedPayloadsMap

- #### Returns RemovedPayloadsMap

  Inherited from jspb.Message.constructor

## Methods

### clearDateByHashesMap

- clearDateByHashesMap(): RemovedPayloadsMap

- #### Returns RemovedPayloadsMap

  - Defined in src/protobuf/pb_pb.d.ts:2155

### getDateByHashesMap

- getDateByHashesMap(): Map<string, number>

- #### Returns Map<string, number>

  - Defined in src/protobuf/pb_pb.d.ts:2154

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2157

### toObject

- toObject(includeInstance?: boolean): RemovedPayloadsMap.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RemovedPayloadsMap.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2158

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RemovedPayloadsMap

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RemovedPayloadsMap

  - Defined in src/protobuf/pb_pb.d.ts:2161

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RemovedPayloadsMap, reader: BinaryReader): RemovedPayloadsMap

- #### Parameters

  - ##### message: RemovedPayloadsMap

  - ##### reader: BinaryReader

  #### Returns RemovedPayloadsMap

  - Defined in src/protobuf/pb_pb.d.ts:2162

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RemovedPayloadsMap, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RemovedPayloadsMap

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2160

### `Static` toObject

- toObject(includeInstance: boolean, msg: RemovedPayloadsMap): RemovedPayloadsMap.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RemovedPayloadsMap

  #### Returns RemovedPayloadsMap.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2159

Generated using TypeDoc